Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network221.192.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
221.192.0.0
Broadcast address
221.199.255.255
First usable
221.192.0.1
Last usable
221.199.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
C (default /24)
As numbers
Hex DDC00000 · Integer 3720347648 to 3720871935
Reverse DNS zones
192.221.in-addr.arpa
193.221.in-addr.arpa
194.221.in-addr.arpa
195.221.in-addr.arpa
196.221.in-addr.arpa
197.221.in-addr.arpa
198.221.in-addr.arpa
199.221.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011101.11000000.00000000.00000000221.192.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11011101.11000000.00000000.00000000221.192.0.0
Broadcast11011101.11000111.11111111.11111111221.199.255.255
Split into smaller subnets/21

221.192.0.0/13 makes 256 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1221.192.0.0/21221.192.0.1 to 221.192.7.254221.192.7.2552,046
2221.192.8.0/21221.192.8.1 to 221.192.15.254221.192.15.2552,046
3221.192.16.0/21221.192.16.1 to 221.192.23.254221.192.23.2552,046
4221.192.24.0/21221.192.24.1 to 221.192.31.254221.192.31.2552,046
5221.192.32.0/21221.192.32.1 to 221.192.39.254221.192.39.2552,046
6221.192.40.0/21221.192.40.1 to 221.192.47.254221.192.47.2552,046
7221.192.48.0/21221.192.48.1 to 221.192.55.254221.192.55.2552,046
8221.192.56.0/21221.192.56.1 to 221.192.63.254221.192.63.2552,046
9221.192.64.0/21221.192.64.1 to 221.192.71.254221.192.71.2552,046
10221.192.72.0/21221.192.72.1 to 221.192.79.254221.192.79.2552,046
11221.192.80.0/21221.192.80.1 to 221.192.87.254221.192.87.2552,046
12221.192.88.0/21221.192.88.1 to 221.192.95.254221.192.95.2552,046
13221.192.96.0/21221.192.96.1 to 221.192.103.254221.192.103.2552,046
14221.192.104.0/21221.192.104.1 to 221.192.111.254221.192.111.2552,046
15221.192.112.0/21221.192.112.1 to 221.192.119.254221.192.119.2552,046
16221.192.120.0/21221.192.120.1 to 221.192.127.254221.192.127.2552,046
17221.192.128.0/21221.192.128.1 to 221.192.135.254221.192.135.2552,046
18221.192.136.0/21221.192.136.1 to 221.192.143.254221.192.143.2552,046
19221.192.144.0/21221.192.144.1 to 221.192.151.254221.192.151.2552,046
20221.192.152.0/21221.192.152.1 to 221.192.159.254221.192.159.2552,046
21221.192.160.0/21221.192.160.1 to 221.192.167.254221.192.167.2552,046
22221.192.168.0/21221.192.168.1 to 221.192.175.254221.192.175.2552,046
23221.192.176.0/21221.192.176.1 to 221.192.183.254221.192.183.2552,046
24221.192.184.0/21221.192.184.1 to 221.192.191.254221.192.191.2552,046
25221.192.192.0/21221.192.192.1 to 221.192.199.254221.192.199.2552,046
26221.192.200.0/21221.192.200.1 to 221.192.207.254221.192.207.2552,046
27221.192.208.0/21221.192.208.1 to 221.192.215.254221.192.215.2552,046
28221.192.216.0/21221.192.216.1 to 221.192.223.254221.192.223.2552,046
29221.192.224.0/21221.192.224.1 to 221.192.231.254221.192.231.2552,046
30221.192.232.0/21221.192.232.1 to 221.192.239.254221.192.239.2552,046
31221.192.240.0/21221.192.240.1 to 221.192.247.254221.192.247.2552,046
32221.192.248.0/21221.192.248.1 to 221.192.255.254221.192.255.2552,046
33221.193.0.0/21221.193.0.1 to 221.193.7.254221.193.7.2552,046
34221.193.8.0/21221.193.8.1 to 221.193.15.254221.193.15.2552,046
35221.193.16.0/21221.193.16.1 to 221.193.23.254221.193.23.2552,046
36221.193.24.0/21221.193.24.1 to 221.193.31.254221.193.31.2552,046
37221.193.32.0/21221.193.32.1 to 221.193.39.254221.193.39.2552,046
38221.193.40.0/21221.193.40.1 to 221.193.47.254221.193.47.2552,046
39221.193.48.0/21221.193.48.1 to 221.193.55.254221.193.55.2552,046
40221.193.56.0/21221.193.56.1 to 221.193.63.254221.193.63.2552,046
41221.193.64.0/21221.193.64.1 to 221.193.71.254221.193.71.2552,046
42221.193.72.0/21221.193.72.1 to 221.193.79.254221.193.79.2552,046
43221.193.80.0/21221.193.80.1 to 221.193.87.254221.193.87.2552,046
44221.193.88.0/21221.193.88.1 to 221.193.95.254221.193.95.2552,046
45221.193.96.0/21221.193.96.1 to 221.193.103.254221.193.103.2552,046
46221.193.104.0/21221.193.104.1 to 221.193.111.254221.193.111.2552,046
47221.193.112.0/21221.193.112.1 to 221.193.119.254221.193.119.2552,046
48221.193.120.0/21221.193.120.1 to 221.193.127.254221.193.127.2552,046
49221.193.128.0/21221.193.128.1 to 221.193.135.254221.193.135.2552,046
50221.193.136.0/21221.193.136.1 to 221.193.143.254221.193.143.2552,046
51221.193.144.0/21221.193.144.1 to 221.193.151.254221.193.151.2552,046
52221.193.152.0/21221.193.152.1 to 221.193.159.254221.193.159.2552,046
53221.193.160.0/21221.193.160.1 to 221.193.167.254221.193.167.2552,046
54221.193.168.0/21221.193.168.1 to 221.193.175.254221.193.175.2552,046
55221.193.176.0/21221.193.176.1 to 221.193.183.254221.193.183.2552,046
56221.193.184.0/21221.193.184.1 to 221.193.191.254221.193.191.2552,046
57221.193.192.0/21221.193.192.1 to 221.193.199.254221.193.199.2552,046
58221.193.200.0/21221.193.200.1 to 221.193.207.254221.193.207.2552,046
59221.193.208.0/21221.193.208.1 to 221.193.215.254221.193.215.2552,046
60221.193.216.0/21221.193.216.1 to 221.193.223.254221.193.223.2552,046
61221.193.224.0/21221.193.224.1 to 221.193.231.254221.193.231.2552,046
62221.193.232.0/21221.193.232.1 to 221.193.239.254221.193.239.2552,046
63221.193.240.0/21221.193.240.1 to 221.193.247.254221.193.247.2552,046
64221.193.248.0/21221.193.248.1 to 221.193.255.254221.193.255.2552,046
65221.194.0.0/21221.194.0.1 to 221.194.7.254221.194.7.2552,046
66221.194.8.0/21221.194.8.1 to 221.194.15.254221.194.15.2552,046
67221.194.16.0/21221.194.16.1 to 221.194.23.254221.194.23.2552,046
68221.194.24.0/21221.194.24.1 to 221.194.31.254221.194.31.2552,046
69221.194.32.0/21221.194.32.1 to 221.194.39.254221.194.39.2552,046
70221.194.40.0/21221.194.40.1 to 221.194.47.254221.194.47.2552,046
71221.194.48.0/21221.194.48.1 to 221.194.55.254221.194.55.2552,046
72221.194.56.0/21221.194.56.1 to 221.194.63.254221.194.63.2552,046
73221.194.64.0/21221.194.64.1 to 221.194.71.254221.194.71.2552,046
74221.194.72.0/21221.194.72.1 to 221.194.79.254221.194.79.2552,046
75221.194.80.0/21221.194.80.1 to 221.194.87.254221.194.87.2552,046
76221.194.88.0/21221.194.88.1 to 221.194.95.254221.194.95.2552,046
77221.194.96.0/21221.194.96.1 to 221.194.103.254221.194.103.2552,046
78221.194.104.0/21221.194.104.1 to 221.194.111.254221.194.111.2552,046
79221.194.112.0/21221.194.112.1 to 221.194.119.254221.194.119.2552,046
80221.194.120.0/21221.194.120.1 to 221.194.127.254221.194.127.2552,046
81221.194.128.0/21221.194.128.1 to 221.194.135.254221.194.135.2552,046
82221.194.136.0/21221.194.136.1 to 221.194.143.254221.194.143.2552,046
83221.194.144.0/21221.194.144.1 to 221.194.151.254221.194.151.2552,046
84221.194.152.0/21221.194.152.1 to 221.194.159.254221.194.159.2552,046
85221.194.160.0/21221.194.160.1 to 221.194.167.254221.194.167.2552,046
86221.194.168.0/21221.194.168.1 to 221.194.175.254221.194.175.2552,046
87221.194.176.0/21221.194.176.1 to 221.194.183.254221.194.183.2552,046
88221.194.184.0/21221.194.184.1 to 221.194.191.254221.194.191.2552,046
89221.194.192.0/21221.194.192.1 to 221.194.199.254221.194.199.2552,046
90221.194.200.0/21221.194.200.1 to 221.194.207.254221.194.207.2552,046
91221.194.208.0/21221.194.208.1 to 221.194.215.254221.194.215.2552,046
92221.194.216.0/21221.194.216.1 to 221.194.223.254221.194.223.2552,046
93221.194.224.0/21221.194.224.1 to 221.194.231.254221.194.231.2552,046
94221.194.232.0/21221.194.232.1 to 221.194.239.254221.194.239.2552,046
95221.194.240.0/21221.194.240.1 to 221.194.247.254221.194.247.2552,046
96221.194.248.0/21221.194.248.1 to 221.194.255.254221.194.255.2552,046
97221.195.0.0/21221.195.0.1 to 221.195.7.254221.195.7.2552,046
98221.195.8.0/21221.195.8.1 to 221.195.15.254221.195.15.2552,046
99221.195.16.0/21221.195.16.1 to 221.195.23.254221.195.23.2552,046
100221.195.24.0/21221.195.24.1 to 221.195.31.254221.195.31.2552,046
101221.195.32.0/21221.195.32.1 to 221.195.39.254221.195.39.2552,046
102221.195.40.0/21221.195.40.1 to 221.195.47.254221.195.47.2552,046
103221.195.48.0/21221.195.48.1 to 221.195.55.254221.195.55.2552,046
104221.195.56.0/21221.195.56.1 to 221.195.63.254221.195.63.2552,046
105221.195.64.0/21221.195.64.1 to 221.195.71.254221.195.71.2552,046
106221.195.72.0/21221.195.72.1 to 221.195.79.254221.195.79.2552,046
107221.195.80.0/21221.195.80.1 to 221.195.87.254221.195.87.2552,046
108221.195.88.0/21221.195.88.1 to 221.195.95.254221.195.95.2552,046
109221.195.96.0/21221.195.96.1 to 221.195.103.254221.195.103.2552,046
110221.195.104.0/21221.195.104.1 to 221.195.111.254221.195.111.2552,046
111221.195.112.0/21221.195.112.1 to 221.195.119.254221.195.119.2552,046
112221.195.120.0/21221.195.120.1 to 221.195.127.254221.195.127.2552,046
113221.195.128.0/21221.195.128.1 to 221.195.135.254221.195.135.2552,046
114221.195.136.0/21221.195.136.1 to 221.195.143.254221.195.143.2552,046
115221.195.144.0/21221.195.144.1 to 221.195.151.254221.195.151.2552,046
116221.195.152.0/21221.195.152.1 to 221.195.159.254221.195.159.2552,046
117221.195.160.0/21221.195.160.1 to 221.195.167.254221.195.167.2552,046
118221.195.168.0/21221.195.168.1 to 221.195.175.254221.195.175.2552,046
119221.195.176.0/21221.195.176.1 to 221.195.183.254221.195.183.2552,046
120221.195.184.0/21221.195.184.1 to 221.195.191.254221.195.191.2552,046
121221.195.192.0/21221.195.192.1 to 221.195.199.254221.195.199.2552,046
122221.195.200.0/21221.195.200.1 to 221.195.207.254221.195.207.2552,046
123221.195.208.0/21221.195.208.1 to 221.195.215.254221.195.215.2552,046
124221.195.216.0/21221.195.216.1 to 221.195.223.254221.195.223.2552,046
125221.195.224.0/21221.195.224.1 to 221.195.231.254221.195.231.2552,046
126221.195.232.0/21221.195.232.1 to 221.195.239.254221.195.239.2552,046
127221.195.240.0/21221.195.240.1 to 221.195.247.254221.195.247.2552,046
128221.195.248.0/21221.195.248.1 to 221.195.255.254221.195.255.2552,046
129221.196.0.0/21221.196.0.1 to 221.196.7.254221.196.7.2552,046
130221.196.8.0/21221.196.8.1 to 221.196.15.254221.196.15.2552,046
131221.196.16.0/21221.196.16.1 to 221.196.23.254221.196.23.2552,046
132221.196.24.0/21221.196.24.1 to 221.196.31.254221.196.31.2552,046
133221.196.32.0/21221.196.32.1 to 221.196.39.254221.196.39.2552,046
134221.196.40.0/21221.196.40.1 to 221.196.47.254221.196.47.2552,046
135221.196.48.0/21221.196.48.1 to 221.196.55.254221.196.55.2552,046
136221.196.56.0/21221.196.56.1 to 221.196.63.254221.196.63.2552,046
137221.196.64.0/21221.196.64.1 to 221.196.71.254221.196.71.2552,046
138221.196.72.0/21221.196.72.1 to 221.196.79.254221.196.79.2552,046
139221.196.80.0/21221.196.80.1 to 221.196.87.254221.196.87.2552,046
140221.196.88.0/21221.196.88.1 to 221.196.95.254221.196.95.2552,046
141221.196.96.0/21221.196.96.1 to 221.196.103.254221.196.103.2552,046
142221.196.104.0/21221.196.104.1 to 221.196.111.254221.196.111.2552,046
143221.196.112.0/21221.196.112.1 to 221.196.119.254221.196.119.2552,046
144221.196.120.0/21221.196.120.1 to 221.196.127.254221.196.127.2552,046
145221.196.128.0/21221.196.128.1 to 221.196.135.254221.196.135.2552,046
146221.196.136.0/21221.196.136.1 to 221.196.143.254221.196.143.2552,046
147221.196.144.0/21221.196.144.1 to 221.196.151.254221.196.151.2552,046
148221.196.152.0/21221.196.152.1 to 221.196.159.254221.196.159.2552,046
149221.196.160.0/21221.196.160.1 to 221.196.167.254221.196.167.2552,046
150221.196.168.0/21221.196.168.1 to 221.196.175.254221.196.175.2552,046
151221.196.176.0/21221.196.176.1 to 221.196.183.254221.196.183.2552,046
152221.196.184.0/21221.196.184.1 to 221.196.191.254221.196.191.2552,046
153221.196.192.0/21221.196.192.1 to 221.196.199.254221.196.199.2552,046
154221.196.200.0/21221.196.200.1 to 221.196.207.254221.196.207.2552,046
155221.196.208.0/21221.196.208.1 to 221.196.215.254221.196.215.2552,046
156221.196.216.0/21221.196.216.1 to 221.196.223.254221.196.223.2552,046
157221.196.224.0/21221.196.224.1 to 221.196.231.254221.196.231.2552,046
158221.196.232.0/21221.196.232.1 to 221.196.239.254221.196.239.2552,046
159221.196.240.0/21221.196.240.1 to 221.196.247.254221.196.247.2552,046
160221.196.248.0/21221.196.248.1 to 221.196.255.254221.196.255.2552,046
161221.197.0.0/21221.197.0.1 to 221.197.7.254221.197.7.2552,046
162221.197.8.0/21221.197.8.1 to 221.197.15.254221.197.15.2552,046
163221.197.16.0/21221.197.16.1 to 221.197.23.254221.197.23.2552,046
164221.197.24.0/21221.197.24.1 to 221.197.31.254221.197.31.2552,046
165221.197.32.0/21221.197.32.1 to 221.197.39.254221.197.39.2552,046
166221.197.40.0/21221.197.40.1 to 221.197.47.254221.197.47.2552,046
167221.197.48.0/21221.197.48.1 to 221.197.55.254221.197.55.2552,046
168221.197.56.0/21221.197.56.1 to 221.197.63.254221.197.63.2552,046
169221.197.64.0/21221.197.64.1 to 221.197.71.254221.197.71.2552,046
170221.197.72.0/21221.197.72.1 to 221.197.79.254221.197.79.2552,046
171221.197.80.0/21221.197.80.1 to 221.197.87.254221.197.87.2552,046
172221.197.88.0/21221.197.88.1 to 221.197.95.254221.197.95.2552,046
173221.197.96.0/21221.197.96.1 to 221.197.103.254221.197.103.2552,046
174221.197.104.0/21221.197.104.1 to 221.197.111.254221.197.111.2552,046
175221.197.112.0/21221.197.112.1 to 221.197.119.254221.197.119.2552,046
176221.197.120.0/21221.197.120.1 to 221.197.127.254221.197.127.2552,046
177221.197.128.0/21221.197.128.1 to 221.197.135.254221.197.135.2552,046
178221.197.136.0/21221.197.136.1 to 221.197.143.254221.197.143.2552,046
179221.197.144.0/21221.197.144.1 to 221.197.151.254221.197.151.2552,046
180221.197.152.0/21221.197.152.1 to 221.197.159.254221.197.159.2552,046
181221.197.160.0/21221.197.160.1 to 221.197.167.254221.197.167.2552,046
182221.197.168.0/21221.197.168.1 to 221.197.175.254221.197.175.2552,046
183221.197.176.0/21221.197.176.1 to 221.197.183.254221.197.183.2552,046
184221.197.184.0/21221.197.184.1 to 221.197.191.254221.197.191.2552,046
185221.197.192.0/21221.197.192.1 to 221.197.199.254221.197.199.2552,046
186221.197.200.0/21221.197.200.1 to 221.197.207.254221.197.207.2552,046
187221.197.208.0/21221.197.208.1 to 221.197.215.254221.197.215.2552,046
188221.197.216.0/21221.197.216.1 to 221.197.223.254221.197.223.2552,046
189221.197.224.0/21221.197.224.1 to 221.197.231.254221.197.231.2552,046
190221.197.232.0/21221.197.232.1 to 221.197.239.254221.197.239.2552,046
191221.197.240.0/21221.197.240.1 to 221.197.247.254221.197.247.2552,046
192221.197.248.0/21221.197.248.1 to 221.197.255.254221.197.255.2552,046
193221.198.0.0/21221.198.0.1 to 221.198.7.254221.198.7.2552,046
194221.198.8.0/21221.198.8.1 to 221.198.15.254221.198.15.2552,046
195221.198.16.0/21221.198.16.1 to 221.198.23.254221.198.23.2552,046
196221.198.24.0/21221.198.24.1 to 221.198.31.254221.198.31.2552,046
197221.198.32.0/21221.198.32.1 to 221.198.39.254221.198.39.2552,046
198221.198.40.0/21221.198.40.1 to 221.198.47.254221.198.47.2552,046
199221.198.48.0/21221.198.48.1 to 221.198.55.254221.198.55.2552,046
200221.198.56.0/21221.198.56.1 to 221.198.63.254221.198.63.2552,046
201221.198.64.0/21221.198.64.1 to 221.198.71.254221.198.71.2552,046
202221.198.72.0/21221.198.72.1 to 221.198.79.254221.198.79.2552,046
203221.198.80.0/21221.198.80.1 to 221.198.87.254221.198.87.2552,046
204221.198.88.0/21221.198.88.1 to 221.198.95.254221.198.95.2552,046
205221.198.96.0/21221.198.96.1 to 221.198.103.254221.198.103.2552,046
206221.198.104.0/21221.198.104.1 to 221.198.111.254221.198.111.2552,046
207221.198.112.0/21221.198.112.1 to 221.198.119.254221.198.119.2552,046
208221.198.120.0/21221.198.120.1 to 221.198.127.254221.198.127.2552,046
209221.198.128.0/21221.198.128.1 to 221.198.135.254221.198.135.2552,046
210221.198.136.0/21221.198.136.1 to 221.198.143.254221.198.143.2552,046
211221.198.144.0/21221.198.144.1 to 221.198.151.254221.198.151.2552,046
212221.198.152.0/21221.198.152.1 to 221.198.159.254221.198.159.2552,046
213221.198.160.0/21221.198.160.1 to 221.198.167.254221.198.167.2552,046
214221.198.168.0/21221.198.168.1 to 221.198.175.254221.198.175.2552,046
215221.198.176.0/21221.198.176.1 to 221.198.183.254221.198.183.2552,046
216221.198.184.0/21221.198.184.1 to 221.198.191.254221.198.191.2552,046
217221.198.192.0/21221.198.192.1 to 221.198.199.254221.198.199.2552,046
218221.198.200.0/21221.198.200.1 to 221.198.207.254221.198.207.2552,046
219221.198.208.0/21221.198.208.1 to 221.198.215.254221.198.215.2552,046
220221.198.216.0/21221.198.216.1 to 221.198.223.254221.198.223.2552,046
221221.198.224.0/21221.198.224.1 to 221.198.231.254221.198.231.2552,046
222221.198.232.0/21221.198.232.1 to 221.198.239.254221.198.239.2552,046
223221.198.240.0/21221.198.240.1 to 221.198.247.254221.198.247.2552,046
224221.198.248.0/21221.198.248.1 to 221.198.255.254221.198.255.2552,046
225221.199.0.0/21221.199.0.1 to 221.199.7.254221.199.7.2552,046
226221.199.8.0/21221.199.8.1 to 221.199.15.254221.199.15.2552,046
227221.199.16.0/21221.199.16.1 to 221.199.23.254221.199.23.2552,046
228221.199.24.0/21221.199.24.1 to 221.199.31.254221.199.31.2552,046
229221.199.32.0/21221.199.32.1 to 221.199.39.254221.199.39.2552,046
230221.199.40.0/21221.199.40.1 to 221.199.47.254221.199.47.2552,046
231221.199.48.0/21221.199.48.1 to 221.199.55.254221.199.55.2552,046
232221.199.56.0/21221.199.56.1 to 221.199.63.254221.199.63.2552,046
233221.199.64.0/21221.199.64.1 to 221.199.71.254221.199.71.2552,046
234221.199.72.0/21221.199.72.1 to 221.199.79.254221.199.79.2552,046
235221.199.80.0/21221.199.80.1 to 221.199.87.254221.199.87.2552,046
236221.199.88.0/21221.199.88.1 to 221.199.95.254221.199.95.2552,046
237221.199.96.0/21221.199.96.1 to 221.199.103.254221.199.103.2552,046
238221.199.104.0/21221.199.104.1 to 221.199.111.254221.199.111.2552,046
239221.199.112.0/21221.199.112.1 to 221.199.119.254221.199.119.2552,046
240221.199.120.0/21221.199.120.1 to 221.199.127.254221.199.127.2552,046
241221.199.128.0/21221.199.128.1 to 221.199.135.254221.199.135.2552,046
242221.199.136.0/21221.199.136.1 to 221.199.143.254221.199.143.2552,046
243221.199.144.0/21221.199.144.1 to 221.199.151.254221.199.151.2552,046
244221.199.152.0/21221.199.152.1 to 221.199.159.254221.199.159.2552,046
245221.199.160.0/21221.199.160.1 to 221.199.167.254221.199.167.2552,046
246221.199.168.0/21221.199.168.1 to 221.199.175.254221.199.175.2552,046
247221.199.176.0/21221.199.176.1 to 221.199.183.254221.199.183.2552,046
248221.199.184.0/21221.199.184.1 to 221.199.191.254221.199.191.2552,046
249221.199.192.0/21221.199.192.1 to 221.199.199.254221.199.199.2552,046
250221.199.200.0/21221.199.200.1 to 221.199.207.254221.199.207.2552,046
251221.199.208.0/21221.199.208.1 to 221.199.215.254221.199.215.2552,046
252221.199.216.0/21221.199.216.1 to 221.199.223.254221.199.223.2552,046
253221.199.224.0/21221.199.224.1 to 221.199.231.254221.199.231.2552,046
254221.199.232.0/21221.199.232.1 to 221.199.239.254221.199.239.2552,046
255221.199.240.0/21221.199.240.1 to 221.199.247.254221.199.247.2552,046
256221.199.248.0/21221.199.248.1 to 221.199.255.254221.199.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses